Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.program.ssaha
Interface SequenceStreamer

All Known Implementing Classes:
  SequenceStreamer.FileStreamer, SequenceStreamer.SequenceDBStreamer

    public interface SequenceStreamer

Nested Class Summary
`static class` | `SequenceStreamer.FileStreamer`
`static class` | `SequenceStreamer.SequenceDBStreamer`

Method Summary
`boolean` | `hasNext()`
`void` | `reset()`
`void` | `streamNext(SeqIOListener listener)`

Method Detail

### hasNext

    boolean hasNext()

### streamNext

    void streamNext(SeqIOListener listener)
                    throws IOException,
                           BioException

  Throws:
    `IOException`
    `BioException`

### reset

    void reset()
               throws BioException

  Throws:
    `BioException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD